[Blends-commit] r1775 - blends/trunk/webtools

Debian Pure Blends Subversion Commit noreply at alioth.debian.org
Tue Aug 18 13:35:29 UTC 2009


Author: moeller
Date: Tue Aug 18 13:35:28 2009
New Revision: 1775
URL: http://svn.debian.org/viewsvn/blends?rev=1775&view=rev

Log:
Added some documentation and allowed a reply to --help


Modified:
   blends/trunk/webtools/update-all-tasks

Modified: blends/trunk/webtools/update-all-tasks
URL: http://svn.debian.org/viewsvn/blends/blends/trunk/webtools/update-all-tasks?rev=1775&view=diff&r1=1775&r2=1774&p1=blends/trunk/webtools/update-all-tasks&p2=blends/trunk/webtools/update-all-tasks
==============================================================================
--- blends/trunk/webtools/update-all-tasks	(original)
+++ blends/trunk/webtools/update-all-tasks	Tue Aug 18 13:35:28 2009
@@ -1,6 +1,54 @@
 #!/bin/sh
+
+: <<=cut
+
+=head1 NAME
+
+update-all-tasks - prepare all pages for all blends
+
+=head1 SYNOPSIS
+
+update-all-tasks
+
+=head1 DESCRIPTION
+
+This script prepares all task pages. It invokes the script tasks.py,
+which will store the final HTML at ...?. You'll need a local installation
+of a postgres database for the execution of this script. Someone please
+help a bit more.
+
+Make sure to have the following python packages installed, which are used by the wrapped tasks.py.
+
+=over 4
+
+=item  python-apt 
+
+=item python-genshi
+
+=item python-psycopg2
+
+=item python-markdown
+
+=item python-debian
+
+=back
+
+=head1 SEE ALSO
+
+tasks.py
+
+=cut
+
+if [ "--help" == "$1" -o "-h" == "$1" ] ; then
+	pod2man --center "Debian Blends Documentation" update-all-tasks  | nroff -man
+	exit 1
+fi
+
+cd `dirname $0`
+
 mkdir -p logs
 for blend in `ls webconf/*.conf | grep -v debug | sed 's?webconf/\(.*\)\.conf?\1?'` ; do
+    echo "Preparing tasks pages for blend '$blend'"
     ./tasks.py $blend 2> logs/${blend}.err > logs/${blend}.out
 done
 



More information about the Blends-commit mailing list